program PERDE;
 var k,x:integer; {k-kukichki, x:halki}
     i,n:integer;
 begin
  readln(x,k);
   i:=(x div k)+(x mod k)-1;
   n:=1; write(n);
   while n+i<x do begin
    n:=n+i;
    write(' ',n);
   end;
   write(' ',x);
 end.

